%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/marekm4/color-extractor
Version:                1.2.0

%gometa

%global common_description %{expand:
Simple image color extractor written in Go with no external dependencies.}

%global golicenses      LICENSE
%global godocs          example README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Simple image color extractor written in Go with no external dependencies

License:        MIT
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Aug 19 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
